it

Differences between revisions 1 and 31 (spanning 30 versions)
Revision 1 as of 2008-10-23 06:38:46
Size: 5953
Editor: mail
Comment: created Italian document
Revision 31 as of 2008-10-30 11:35:57
Size: 28064
Editor: net-93-146-83-148
Comment: PS3.
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
||<tablestyle="float:right; width:40%; background:#F1F1ED; margin: 0 0 1em 1em;" style="padding:0.5em;"><<TableOfContents>>||

These release notes document known issues with Ubuntu 8.10 and its variants.

= System Requirements =

The minimum memory requirement for Ubuntu 8.10 is 256 MiB of memory. (Note that some of your system's memory may be unavailable due to being used for the graphics card.)

With only the minimum amount of memory available, the installation process will take longer than normal, but will complete successfully, and the system will perform adequately once installed. Low-memory systems may be able to use the desktop CD to install by selecting "Install Ubuntu" from the boot menu to run just the installer, rather than the whole desktop started by selecting "Try Ubuntu without any change to your computer".

= Installation =

= Upgrading =

Users of Ubuntu 8.04 can upgrade to Ubuntu 8.10 by a convenient automated process. Users of older Ubuntu releases need to upgrade to Ubuntu 8.04 LTS first, and then to 8.10. Complete instructions may be found at http://www.ubuntu.com/getubuntu/upgrading.

== Recommended packages installed by default ==

In accordance with the Debian Policy Manual (which says "The 'Recommends' field should list packages that would be found together with this one in all but unusual installations"), the package management system now installs packages listed in the Recommends: field of other installed packages as well as Depends: by default. If you want to avoid this for specific packages, use `apt-get --no-install-recommends`; if you want to make this permanent, set `APT::Install-Recommends` in `/etc/apt/apt.conf`. Be aware that this may result in missing features in some programs.

== nVidia "legacy" video support ==

The 71 and 96 series of proprietary nVidia drivers, as provided by the {{{nvidia-glx-legacy}}} and {{{nvidia-glx}}} packages in Ubuntu 8.04, are not compatible with the X.Org included in Ubuntu 8.10. Users with the nVidia TNT, TNT2, TNT Ultra, Ge``Force, Ge``Force2, Ge``Force3, and Ge``Force4 chipsets are affected and will be transitioned on upgrade to the free {{{nv}}} driver instead. This driver does not support 3D acceleration.

Users of other nVidia chipsets that are supported by the 173 or 177 driver series will be transitioned to the {{{nvidia-glx-173}}} or {{{nvidia-glx-177}}} package instead. However, unlike drivers 96 and 71, drivers 173 and 177 are only compatible with CPUs that support [[http://en.wikipedia.org/wiki/Streaming_SIMD_Extensions|SSE]] (e.g. Intel Pentium III, AMD Athlon XP or higher). Systems with older CPUs will also be transitioned to the {{{nv}}} driver on upgrade.

== X.Org Input Devices ==

The X.Org configuration file ({{{/etc/X11/xorg.conf}}}) still has Input``Device entries for the mouse and keyboard, but they are ignored now because input-hotplug is
used. The keyboard settings now come from {{{/etc/default/console-setup}}}; to change them please use `sudo dpkg-reconfigure console-setup`. After that, HAL and X
need to be restarted (e.g., by rebooting your system).

== X.Org evdev xmodmap incompatibility ==

The X keycodes generated with the new {{{evdev}}} input driver in X.Org 1.5 are not compatible with those generated in Ubuntu 8.04 LTS and before. If you have configured keybindings for your user with a {{{~/.Xmodmap}}} file, you will need to convert or disable it by hand on upgrade.

== GNOME Logout Applet ==

The "Logout" applet which appeared by default on the panel in earlier Ubuntu releases no longer offers the shutdown/reboot/hibernate/suspend actions. It is recommended that you remove this applet and replace it with the "User Switcher" applet, which now combines the previous "User switcher" and "Logout" applets. This change is not yet done automatically on upgrade (https://bugs.launchpad.net/bugs/274146)

== UbuntuStudio real-time kernel support ==

No real-time kernel variant is available for the Linux 2.6.27 kernel included with Ubuntu 8.10. Users of Ubuntu``Studio 8.04 who need real-time kernel support are advised not to upgrade to Ubuntu``Studio 8.10.

= Other known issues =

== TCP timestamps ==

Linux 2.6.27 now sets the timestamps option in TCP packets ([[http://www.ietf.org/rfc/rfc1323.txt|RFC 1323]]), an option dating from 1992 to improve performance over high-bandwidth-times-latency paths and to improve reliability over high-bandwidth paths, which was previously omitted by mistake.

However, this change appears to cause problems for some users, believed to be due to buggy routers between the user and the destination server (for example, this has been reported by several Verizon DSL users). If your Internet connection mostly appears to be working correctly, but you have problems connecting to certain sites, then try the following command: {{{
sudo sysctl -w net.ipv4.tcp_timestamps=0
}}}

This change will normally expire the next time you restart your computer. If it fixes the problem, then you can make the change permanent by running `sudo editor /etc/sysctl.conf` and adding the following line to the end of that file: {{{
net.ipv4.tcp_timestamps = 0
}}}

The real bug here is in your router (if you own one) or your ISP's routers. If a firmware upgrade is available for your router, follow your manufacturer's instructions to upgrade it. Otherwise, contact the support department of your router manufacturer or your ISP for further advice. At the same time, Linux kernel upstream is investigating a workaround that will restore interoperability with these routers while permitting TCP timestamps to be enabled, and this fix will be evaluated for inclusion in a Stable Release Update after the 8.10 release.

See [[https://launchpad.net/bugs/264019|bug #264019]], and thanks to [[http://wiki.mandriva.com/en/2009.0_Errata#TCP_timestamps|Mandriva]] for their clear documentation of this issue.
||<tablestyle="float:right; width:40%; background:#F1F1ED; margin: 0 0 1em 1em;" style="padding:0.5em;"><<BR>> <<TableOfContents>>||

Queste note di rilascio illustrano i problemi noti con '''Ubuntu 8.10''' «'''Intrepid Ibex'''» e le altre varianti.

= Requisiti di sistema =

La quantità minima di memoria richiesta per '''Ubuntu 8.10''' «'''Intrepid Ibex'''» è 256 MiB (notare che parte della memoria del sistema potrebbe essere non disponibile se utilizzata dalla scheda video).

Se è disponibile solo la quantità minima di memoria richiesta, sarà necessario più tempo del normale per il processo di installazione; l'installazione comunque potrà essere ugualmente completata e, una volta installato, il sistema potrà essere eseguito in modo adeguato. Sistemi con poca memoria possono utilizzare il CD desktop per l'installazione selezionando dal menù di avvio la voce "''Installa Ubuntu''", in modo da eseguire solo il programma di installazione, invece che mandare in esecuzione l'intero ambiente grafico selezionando la voce "''Prova Ubuntu senza modificare il computer''".

= Installazione =

== Pacchetti "recommended" installati in modo predefinito ==

In accordo con il "Debian Policy Manual" (che enuncia "il campo 'Recommends' dovrebbe elencare i pacchetti che dovrebbero essere presenti nel computer assieme al pacchetto corrente in tutte le installazioni tranne quelle non usuali"), il sistema di gestione dei pacchetti ora installa in modo predefinito i pacchetti elencati nel campo ''Recommends:'' così come avviene per i pacchetti nell'elenco ''Depends:''.

Per evitare questo comportamento per un singolo pacchetto, usare il comando:
{{{
apt-get --no-install-recommends nome_pacchetto
}}}

Per evitare questo comportamento per tutti i pacchetti in modo permanente, inserire la riga:
{{{
APT::Install-Recommends "false"
}}}
nel file `/etc/apt/apt.conf`.

Notare che ciò potrebbe avere come conseguenza l'assenza di funzionalità in alcuni pacchetti.

== "Selezionare e installare il software" lento a partire in modalità testuale ==
##== Slow start to "Select and install software" step in text-mode installer ==

Il passo "Selezionare e installare il software" nella modalità testuale del CD di installazione, potrebbe apparire lento nell'aggiornare la percentuale di avanzamento. Questo problema si verifica specialmente durante le installazioni in modalità ''netboot'', dove non c'è una barra di avanzamento durante la fase di scaricamento dei pacchetti. Il problema è dovuto ad una falla nell'interazione fra il programma di installazione e '''apt-get''' ed è stato diagnosticato troppo tardi per poter essere risolto in Ubuntu 8.10: [[https://launchpad.net/bugs/290234|bug 290234]].

The "Select and install software" step in the text-mode install CD may appear to hang at a low single-digit percentage. This is particularly the case for netboot installations, where there will be no progress bar updates at all while downloading packages. This is due to a fault in the interaction between the installer and `apt-get`, which was diagnosed too late to fix for Ubuntu 8.10: [[https://launchpad.net/bugs/290234|bug 290234]].

È possibile visualizzare l'avanzamento dell'installazione nella ''console'' di ''log'' utilizzando la combinazione di tasti «'''Alt+F4'''»; per tornare nella ''console'' precedente premere «'''Alt+F1'''». (Si faccia particolare attenzione nel caso si stia effettuando un'installazione virtualizzata tramite strumenti come QEMU o KVM, premere prima «'''Ctrl+Alt'''» o fare click nella finestra di virtualizzazione per evitare che la pressione dei tasti «'''Alt+F4'''» chiuda la finestra).

You can find out whether the installer is making progress by pressing Alt-F4 to switch to the logging console; Alt-F1 switches back to the main installer. (If you are installing in QEMU or KVM, be careful to press Ctrl+Alt or click in the window to have the emulator grab focus before pressing Alt-F4, as otherwise this will close the emulator!)

== oem-config non gestisce bene alcune lingue ==
##== oem-config fails to handle some languages properly ==



The OEM end-user configuration tool mishandles selection of languages that do not use the ASCII or ISO-8859-1 character sets, and the end user will end up with no localisation set after selecting such languages ([[https://launchpad.net/bugs/290580|bug 290580]]). The list of ''known-good'' languages is as follows: Basque, Catalan, Danish, Dutch, English, Finnish, French, Galician, German, Indonesian, Italian, Northern Sami, Norwegian Bokmål, Norwegian Nynorsk, Portuguese, Portuguese (Brazil), Spanish, Swedish, Tagalog.

For the meantime, OEMs affected by this problem may apply this [[http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk/revision/555|patch]] (the `scripts/tzsetup` part) to the file `/usr/lib/oem-config/timezone/tzsetup` before running "Prepare for shipping to end user". We expect to release an update for this in due course, which will be installable via the normal packaging system at that same stage.


== Hard disk non mostrati durante l'installazione con la Live CD ==
##== Hard disks potentially not shown when installing in Live CD mode ==

Se un utente naviga i propri hard disk in modalità Live CD prima di aver iniziato il processo di installazione, '''Ubiquity''' non permetterà l'installazione in questi dispositivi. E' di fatti necessario escluderli (smontarli) per permetterne il partizionamento. Assicurarsi di aver smontato il disco, sul quale si vuole installare Ubuntu, prima di procedere con l'installazione.

## Ma sta frase fa proprio schifo! sentite, io la modifico un po'...
If a user browses a hard disks in Live CD mode before choosing to install, Ubiquity will not allow installation onto this disks. It is necessary to exclude these, as you cannot apply partitioning to any disk with busy (mounted) partitions. To use a mounted disk for installation, first unmount the drive before attempting to install.

== Restrizione di password con ecryptfs ==
##== Password limitation with ecryptfs ==

Gli utenti che hanno effettuato un installazione con '''alternate''' CD o hanno installato la versione '''Server''' di Ubuntu ed hanno scelto una password contenente i caratteri "'''%'''" o "'''-'''" non potranno utilizzare e montare la directory criptata `~/Private`.

Per risolvere questo problema, gli utenti dovranno eseguire i seguenti passi:
 1. aggiornare ''ecryptfs-utils'' all'ultima versione '''53-1ubuntu12''' (sarà presto disponibile come aggiornamento ufficiale).
 2.

Users of the alternate/server installation who choose a password containing a "%" or a "-" will end up with an encrypted ~/Private directory that will not mount on reboot and subsequent logins. To fix this, affected users will need to do the following in the newly installed system:
 1. Update ecryptfs-utils to at least version 53-1ubuntu12 (non appena sarà disponibile come aggiornamento ufficiale)
 2. Digitare in un terminale il comando:
 {{{
ecryptfs-setup-private --force
}}}

Per ulteriori informazioni sul bug e sulla soluzione, consultare il [[https://launchpad.net/bugs/290445|bug #290445]].

For more information on the bug and solution approach see [[https://launchpad.net/bugs/290445|bug #290445]].


== L'opzione "Free software only" installa software con restrizione ==
##== "Free software only" option installs restricted software ==

L'opzione "Free software only", disponibile premendo due volte «'''F6'''» sulla prima schermata del CD/DVD desktop, installerà il pacchetto con restrizioni ''linux-restricted-modules-2.6.27-7-generic''. Sarà possibile risolvere il problema disistallando il pacchetto ''linux-restricted-modules-2.6.27-7-generic'' dopo il completamento dell'installazione.

The "Free software only" option, available by pressing F6 twice on the first screen of the desktop CD/DVD, will install the restricted package, linux-restricted-modules-2.6.27-7-generic. This can be worked around by removing the linux-restricted-modules-2.6.27-7-generic package after the installation completes.

Si avvisa che l'opzione "Free software only" non installerà nessun altro pacchetto con restrizioni.

Note that the "Free software only" option does not install any other restricted software.

Per maggiori informazioni, consultare il [[https://bugs.launchpad.net/ubuntu-release-notes/+bug/290925|
bug 290925]].

For more information, please see [[https://bugs.launchpad.net/ubuntu-release-notes/+bug/290925|Bug 290925]]

== PlayStation 3 installation issues ==

There are some non-fatal issues with installation from the alternate install CD on Play``Station 3 systems. See the [[http://psubuntu.com/wiki/IntrepidReleaseNotes|PS3 release notes]] for more details.

= Avanzamento di versione =

Gli utenti di '''Ubuntu 8.04 LTS''' posso eseguire l'avanzamento a '''Ubuntu 8.10''' tramite un semplice processo automatico. Gli utenti di rilasci più vecchi dovranno prima effettuare l'avanzamento a '''Ubuntu 8.04 LTS''' e solo successivamente alla 8.10. Istruzioni complete possono essere trovate [[http://wiki.ubuntu-it.org/Installazione/AggiornamentoIntrepid|presso questa pagina]]

== Supporto video nVidia "legacy" ==

Le serie 71 e 96 dei driver proprietari nVidia, forniti dai pacchetti {{{nvidia-glx-legacy}}} e {{{nvidia-glx}}} in '''Ubuntu 8.04 LTS''', non sono compatibili con la versione di X.Org inclusa in '''Ubuntu 8.10'''. I possessori di schede video con chipset nVidia TNT, TNT2, TNT Ultra, Ge``Force, Ge``Force2, Ge``Force3, e Ge``Force4 subiranno gli effetti di tale incompatibilità e durante l'avanzamento verrà eseguita la transizione al driver libero ''nv''. Tale driver però non supporta l'accelerazione 3D.

Per possessori di schede video con altri chipset nVidia che sono supportati dalle serie 173 e 177 del driver verrà eseguita la transizione ai pacchetti {{{nvidia-glx-173}}} o {{{nvidia-glx-177}}}. Però, a differenza dei driver 96 e 71, i driver 173 e 177 sono compatibili solo con processori che supportano le istruzioni [[http://it.wikipedia.org/wiki/Streaming_SIMD_Extensions|SSE]] (per esempio Intel Pentium III, AMD Athlon XP o superiori). Per sistemi con processori più vecchi verrà eseguita durante l'avanzamento la transizione al driver ''nv''.

== Driver "fglrx" per schede video ATI ==
##== ATI "fglrx" video support ==
## Da inserire le voci corrette:

Il driver ATI con restrizioni '''fglrx''' incluso in Ubuntu 8.10 non supportà più le schede video con ''chipset'' r300 (tutte le schede delle serie Radeon 9500 e X600). Se si possiede una di queste schede video utilizzare l'applicazione "Hardware driver" in '''''Sistema -> Amministrazione''''' per disabilitare il driver prima di effettuare l'aggiormanento.

Per maggiori informazioni, consultare il [[https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/284408|bug 284408]].

The ATI video driver in 8.10 drops support for video cards with r300 based chips (the Radeon 9500 - X600 Series of cards). If you have such a card, please use "Hardware Drivers" at System/Administration to disable it before the upgrade.
Please see [[https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/284408|bug 284408]] for more information

== Device di input in X.Org ==

Nel file di configurazione di X.Org (`/etc/X11/xorg.conf`) sono ancora presenti campi Input``Device per il mouse e la tastiera; tali campi sono però ignorati poiché ora viene utilizzato ''input-hotplug''.

Le impostazioni della tastiera sono ora salvate nel file `/etc/default/console-setup`; per cambiarle usare il comando:
{{{
sudo dpkg-reconfigure console-setup
}}}
Dopo un cambiamento di tali impostazioni è necessario riavviare i demoni HAL e X.

== Incompatibilità evdev xmodmap di X.Org ==

I keycode X generati con il nuovo driver di input {{{evdev}}} di X.Org 1.5 non sono compatibili con quelli generati in '''Ubuntu 8.04 LTS''' e precedenti. Se sono state configurate delle associazioni di tasti tramite un file `~/.Xmodmap`, è necessario convertirle o disabilitarle durante l'avanzamento.

== Supporto kernel real-time per UbuntuStudio ==

La variante real-time del kernel incluso in Ubuntu 8.10 non include il supporto SMP. Gli utenti di Ubuntu``Studio 8.04 che necessitano di un kernel real-time con supporto dual-core, dual-processor o con configurazioni SMP più complesse, sono invitati attualmente a non eseguire l'avanzamento a Ubuntu``Studio 8.10.

== Supporto per gli hotkey su portatili Toshiba ==
##== Toshiba laptop hotkey support ==

Il driver '''tlsup''' incluso nel kernel Linux 2.6.27, per il supporto dei portatili Toshiba, non è compatibile con il modello degli eventi di X.Org 1.5, di conseguenza non sarà possibile utilizzare gli ''hotkey'' di questi portatili in Ubuntu 8.10. Il problema verrà risolto in un successivo rilascio e aggiornamento del kernel che reintrodurrà il driver '''toshiba_laptop'''.

The {{{tlsup}}} kernel driver included in Linux 2.6.27 for support for Toshiba laptops is not compatible with the X.Org 1.5 event model, as a result of which hotkeys on these laptops are not usable with Ubuntu 8.10. This will be addressed in a post-release kernel update to reintroduce the {{{toshiba_acpi}}} driver.

== Problemi all'avvio con schede madri Intel D945 ==
##== Boot failures on systems with Intel D945 motherboards ==

Alcuni utenti hanno riportaro un lento riconoscimento dei dispositivi SATA su schede madri Intel D945 in Ubuntu 8.10. Questo problema potrebbe portare, all'avvio, il sistema in una ''shell busybox initramfs'' con un errore "''Gave up waiting for root device''". Aspettare uno o due minuti e uscire dalla ''shell initramfs'' digitando il comando:
{{{
exit
}}}

L'avvio procederà normalmente. Se così non fosse, aspettare ancora (magari un po' più dell'ultima volta) e riprovare.

Una volta che il sistema si è avviato, modificare il file {{{/boot/grub/menu.lst}}} e aggiungere:
{{{
rootdelay=90
}}}
alle opzioni del proprio kernel. Per maggiori informazioni, consultare il [[https://launchpad.net/bugs/290153|bug 290153]].

Users have reported slower than normal detection of SATA hard drives on systems with Intel D945 motherboards in Ubuntu 8.10. This may cause the system to drop to a busybox initramfs shell on boot with a "Gave up waiting for root device." error. Wait a minute or two and then exit the initramfs shell by typing 'exit'. Booting should proceed normally. If it doesn't, wait a bit longer and try again. Once the system boots, edit {{{/boot/grub/menu.lst}}} and add {{{rootdelay=90}}} to the kernel stanza for your current kernel. ([[https://launchpad.net/bugs/290153|Bug 290153]]).

== Kubuntu KDE4 remix ==

In alcuni casi se si effettua l'aggiornamento da Kubuntu 8.04 KDE 4 Remix a Kubuntu 8.10, non tutte le applicazioni potrebbero risultare aggiornate. Ciò accade se il pacchetto ''kubuntu-desktop'' è stato precedente rimosso. Assicurarsi che il pacchetto ''kubuntu-dekstop'' (se si possiede KDE 4, anche il pacchetto ''kubuntu-kde4-desktop'') sia installato prima di procedere con l'aggiornamento.

Questo problema viene risolto automaticamente se si effettua l'aggiornamento tramite [[http://wiki.ubuntu-it.org/Installazione/AggiornamentoIntrepid#adept_manager|adept_manager]].


In some cases an upgrade from Kubuntu 8.04 KDE 4 Remix to Kubuntu 8.10 will not update all applications. This will happen if the package {{{kubuntu-desktop}}} was removed. We strongly advise to ensure {{{kubuntu-desktop}}}, and if KDE 4 is installed also {{{kubuntu-kde4-desktop}}}, is installed before upgrading. If using the release upgrader, this will be handled automatically.

=== Impossibile effettuare il login dopo l'aggiornamento da Kubuntu 8.04 KDE 4 Remix ===
##=== Cannot login after upgrade from Kubuntu 8.04 KDE 4 Remix ===

Dopo l'aggiornamento da Kubuntu 8.04 KDE 4 Remix, il ''login'' fallirà e ritornerà di nuovo alla schermata di login. Il collegamento {{{x-session-manager}}} non è stato correttamente aggiornato. Selezionare '''KDE''' dal menu '''Sessioni''' prima di effettuare il ''login''. Risolvere il problema digitando da riga di comando:
{{{
update-alternatives --set x-session-manager /usr/bin/startkde
}}}
Per maggiori informazioni, consultare il [[https://launchpad.net/bugs/287488|bug 287488]].

After an upgrade from Kubuntu 8.04 KDE 4 Remix, logging in will return directory to the login screen again. The {{{x-session-manager}}} alternative link is not correctly updated. Select "KDE" from the Session Menu before logging in and fix it with {{{update-alternatives --set x-session-manager /usr/bin/startkde}}}. ([[https://launchpad.net/bugs/287488|Bug 287488]])

== Supporto per ssl/blowfish-v0.2, versione 2:0:1 non in encfs ==
##== Support for ssl/blowfish-v0.2, version 2:0:1 not in encfs ==

La compatibilità per questo vecchio algoritmo è stata omessa nelle versioni 1.4.x di '''encfs''' (versioni incluse in Ubuntu 8.10). Prima di effettuare l'aggiornamento, gli utenti con questo algoritmo dovranno manualamente migrare i propri volumi '''encfs''' alla nuova versione. Alternativamente, è possibile restare alla vecchia versione di '''encfs''' per effettuare la lettura dei volumi.

Compatibility for this old algorithm was dropped in the 1.4.x version of {{{encfs}}} included in Ubuntu 8.10. Before upgrading, users of this algorithm will have to manually migrate their encfs volumes to a new one created with the new version. Alternatively, you may stay at an old version of encfs to be able to read the volumes.


== PlayStation 3 upgrade issues ==

The graphical boot splash must be turned off when upgrading Play``Station 3 systems from Ubuntu 8.04. See the [[http://psubuntu.com/wiki/IntrepidReleaseNotes|PS3 release notes]] for more details.

= Altri problemi noti =

== Blocchi del sistema con chip wireless Intel 4965 ==

La versione del driver wireless ''iwlang'' per il chipset Intel 4965 incluso nel kernel Linux versione 2.6.27 causa una serie di kernel panic quando usato con reti di tipo 802.11n o 802.11g. Gli utenti affetti da questo problema possono installare il pacchetto {{{linux-backports-modules-intrepid}}}: il pacchetto fornisce una versione più recente del driver che corregge il bug (poiché la correzione nota richiede una nuova versione del driver, non è possibile includerla nel pacchetto principale del kernel).

== Cannot reactivate Intel 3945/4965 wireless if booting with killswitch enabled ==
On laptops with Intel 3945 or Intel 4965 wireless chipsets and a killswitch for the wireless antenna, starting the system with the killswitch enabled (i.e., with wireless disabled) will prevent re-enabling the wireless by toggling the killswitch. As a workaround, users should boot the system with the killswitch disabled. A future kernel update is expected to address this issue.

== Atheros ath5k wireless driver not enabled by default ==
The version of the {{{ath5k}}} driver for Atheros wireless devices included in Linux 2.6.27 interferes with the use of the {{{madwifi}}} driver for some wireless devices and as a result has been disabled by default. Many Atheros chipsets will work correctly with the {{{madwifi}}} driver, but some newer chipsets may not, and the {{{madwifi}}} driver may not work with WPA authentication. If you have an Atheros device that does not work with {{{madwifi}}}, you will want to install the {{{linux-backports-modules-intrepid-generic}}} package, which includes an updated version of the {{{ath5k}}} driver. While not installed by default, this {{{linux-backports-modules-intrepid-generic}}} package is included on the Ubuntu 8.10 CD and DVD images for ease of installation.

== Limited support for Wacom tablet hotplugging ==

X.Org 1.5 includes support for autodetection of input devices, but for Wacom tablets this is currently limited to detecting the stylus only. Users of tablet devices who wish to use other input features will need to statically configure their input devices in {{{/etc/X11/xorg.conf}}}.

A complete discussion of this issue can be found in [[https://bugs.launchpad.net/bugs/282203|bug 282203]].


== Ordine di avvio iSCSI ==

I file system ospitati su dispositivi iSCSI potrebbero non venir montati automaticamente all'avvio del sistema, anche se per essi è presente una voce in `/etc/fstab`, nel caso in cui è richiesta un'interfaccia Ethernet "''bridged''" o "''bonded''" per raggiungere il dispositivo iSCSI. Per aggirare il problema, è necessario riavviare il servizio '''open-scsi''' e montare manualmente il file system in questione dopo l'avvio, una volta che l'interfaccia di rete richiesta è ormai attiva.

I sistemi dotati di una normale interfaccia Ethernet non sono affetti da questo problema.

Per maggiori informazioni, consultare il [[https://launchpad.net/bugs/227848|bug #227848]].

== Cannot mount more than one iSCSI target ==

Mounting multiple iSCSI targets at the same time is currently not supported. Systems configured to use more than one iSCSI targets should not be upgraded to Ubuntu 8.10.

For more information on the bug and solution approach see [[https://launchpad.net/bugs/289470|bug 289470]].

== Wireless doesn't work after suspend with ath_pci driver ==

Wireless devices that use the {{{ath_pci}}} kernel driver, such as the Atheros AR5212 wireless card, will be unable to connect to the network after using suspend and resume. To work around this issue, users can create a file {{{/etc/pm/config.d/madwifi}}} containing the single line:
{{{
   SUSPEND_MODULES=ath_pci
}}}

This will cause the module to be unloaded before suspend and reloaded on resume.

== Systems installed from pre-release daily images may be missing some files ==

A bug present in pre-release daily desktop images caused some files related to language support to be missing from installed systems. Uninstalling and reinstalling the language support packages should correct this issue.

This issue does not affect users who installed using the Ubuntu 8.10 Beta or Release Candidate.

== Kubuntu Bluetooth support ==

Bluetooth is not supported in Kubuntu 8.10 because KDE does not yet support the bluez 4.x stack required for compatibility with the kernel used in 8.10.
A fix for this is being evaluated as a post-release update. ([[https://launchpad.net/bugs/280997|Bug 280997]])

== KNetworkManager cannot manage connections with static IPs ==

KNetwork``Manager in Kubuntu 8.10 sometimes fails with network connections that require static IP address configuration ([[https://launchpad.net/bugs/280762|bug 280762]]). Connections which use DHCP for IP address configuration are not affected by this problem.


== Using usb-creator with 8.04.1 (Hardy) images ==

Persistence support in 8.04.1 images is broken. Creating a USB disk with usb-creator and a 8.04.1 image results in a busybox prompt if the persistence option is checked.

== Only US wireless channels enabled by default on Intel 3945 ==

The iwl3945 wireless driver defaults to the US regulatory domain for wireless, so wireless networks on channels forbidden by US regulations but permitted by European or Japanese regulations will not work out of the box. This affects IEEE 802.11b/g channels 12 (Europe and Japan), 13 (Europe and Japan), and 14 (Japan only), as well as all 802.11a channels. (Some other wireless drivers may be affected; this is the only one we are sure of so far.)

To work around this, add the following line to the `/etc/modprobe.d/options` file if you use this driver and need to use European wireless channels: {{{
options cfg80211 ieee80211_regdom=EU
}}}

Alternatively, add the following line if you use this driver and need to use Japanese wireless channels: {{{
options cfg80211 ieee80211_regdom=JP
}}}

== Cyrus SASL database created with incorrect permissions ==
Cyrus SASL creates the database for its sasldb2 plugin with incorrect permissions. As a result, other users of this database, such as cyrus-imap, will not be able to access it and will fail. This does not affect upgrades of existing databases from a previous release. The workaround is to manually change the group of /etc/sasldb2 to sasl: {{{
$ sudo chgrp sasl /etc/sasldb2
}}}

See [[https://launchpad.net/bugs/288478|bug 288478]] for details.

== Access to Java Runtime Environment ==

To use Java programs, you need to install the `openjdk-6-jre` package whch contains the Java Runtime Environment. If you want to develop Java programs, then install the `openjdk-6-jdk` package. To work with Java applets in the Firefox browser and compatible browsers on x86 architectures, you need to install the `icedtea6-plugin` package by hand.

The JRE and the Java applet plugin are installed by default in the live session on the Ubuntu DVD, but are not currently installed elsewhere due to space constraints. However, a [[https://launchpad.net/bugs/290400|missing feature]] in the installer means that these packages will not be installed when installing using the graphical installer on the DVD, so you will need to install them afterwards.

== CD eject problems ==

After ejecting a CD tray containing a disc, the tray will be immediately retracted, making it difficult to remove the disc ([[https://launchpad.net/bugs/283316|bug 283316]]). This can be worked around by pressing the eject button again before the disc is fully mounted, after which it will stay open. We expect to fix this in a post-release update.


== Desktop effects on Intel 830MG and 845G video cards ==

There is a bug in the Intel video driver for the older intel 830 and 845 integrated video cards that are used on laptops like the IBM R30. Desktop effects with compiz will not work on those chips and will freeze the system. For new installations, please install using the safe graphics mode (press F4 in the startup screen) on these systems and disable desktop effects via {{{System -> Preferences -> Appearance}}}, clicking on "Visual effects" and choosing "None".


== Cyrus SASL database created with incorrect permissions ==

Cyrus SASL creates the database for its sasldb2 plugin with incorrect permissions. As a result, other users of this database, such as cyrus-imap, will not be able to access it and will fail. This does not affect upgrades of existing databases from a previous release. The workaround is to manually change the group of /etc/sasldb2 to sasl: {{{
 $ sudo chgrp sasl /etc/sasldb2
 }}}

 
== PlayStation 3 issues ==

There are a variety of other known issues affecting Play``Station 3 systems, documented in more detail in the [[http://psubuntu.com/wiki/IntrepidReleaseNotes|PS3 release notes]]. They include:

 * To get back to the Sony Play``Station 3 XMB operating system from the boot prompt, users need to type `game` and press the Return key ([[https://launchpad.net/bugs/277839|bug 277839]]). If this is for some reason not possible, carrying out a hard-reset (see PS3 instruction manual) will return to the XMB on next run.
 * Users may occasionally see an intermittent shutdown hang with a message like "IRQ 50: nobody cared". The problem has been reported upstream. Press and hold the PS3 power button until you hear 2 beeps will force power off. The system will boot normally on next run ([[https://launchpad.net/bugs/220370|bug 220370]]).
 * Network``Manager does not list available wireless networks, although it is possible to connect to a wireless network with a known SSID using the "connect to hidden wireless network" option ([[https://launchpad.net/bugs/289977|bug 289977]]); and it cannot connect to WPA/WPA2 wireless networks, although WEP works ([[https://launchpad.net/bugs/289982|bug 289982]]).

= Riferimenti =
 * [[https://wiki.ubuntu.com/IntrepidReleaseNotes|Documento originale]]: potrebbe contenere informazioni più aggiornate di quanto qui riportato.


Contents

  1. Requisiti di sistema
  2. Installazione
    1. Pacchetti "recommended" installati in modo predefinito
    2. "Selezionare e installare il software" lento a partire in modalità testuale
    3. oem-config non gestisce bene alcune lingue
    4. Hard disk non mostrati durante l'installazione con la Live CD
    5. Restrizione di password con ecryptfs
    6. L'opzione "Free software only" installa software con restrizione
    7. PlayStation 3 installation issues
  3. Avanzamento di versione
    1. Supporto video nVidia "legacy"
    2. Driver "fglrx" per schede video ATI
    3. Device di input in X.Org
    4. Incompatibilità evdev xmodmap di X.Org
    5. Supporto kernel real-time per UbuntuStudio
    6. Supporto per gli hotkey su portatili Toshiba
    7. Problemi all'avvio con schede madri Intel D945
    8. Kubuntu KDE4 remix
      1. Impossibile effettuare il login dopo l'aggiornamento da Kubuntu 8.04 KDE 4 Remix
    9. Supporto per ssl/blowfish-v0.2, versione 2:0:1 non in encfs
    10. PlayStation 3 upgrade issues
  4. Altri problemi noti
    1. Blocchi del sistema con chip wireless Intel 4965
    2. Cannot reactivate Intel 3945/4965 wireless if booting with killswitch enabled
    3. Atheros ath5k wireless driver not enabled by default
    4. Limited support for Wacom tablet hotplugging
    5. Ordine di avvio iSCSI
    6. Cannot mount more than one iSCSI target
    7. Wireless doesn't work after suspend with ath_pci driver
    8. Systems installed from pre-release daily images may be missing some files
    9. Kubuntu Bluetooth support
    10. KNetworkManager cannot manage connections with static IPs
    11. Using usb-creator with 8.04.1 (Hardy) images
    12. Only US wireless channels enabled by default on Intel 3945
    13. Cyrus SASL database created with incorrect permissions
    14. Access to Java Runtime Environment
    15. CD eject problems
    16. Desktop effects on Intel 830MG and 845G video cards
    17. Cyrus SASL database created with incorrect permissions
    18. PlayStation 3 issues
  5. Riferimenti

Queste note di rilascio illustrano i problemi noti con Ubuntu 8.10 «Intrepid Ibex» e le altre varianti.

Requisiti di sistema

La quantità minima di memoria richiesta per Ubuntu 8.10 «Intrepid Ibex» è 256 MiB (notare che parte della memoria del sistema potrebbe essere non disponibile se utilizzata dalla scheda video).

Se è disponibile solo la quantità minima di memoria richiesta, sarà necessario più tempo del normale per il processo di installazione; l'installazione comunque potrà essere ugualmente completata e, una volta installato, il sistema potrà essere eseguito in modo adeguato. Sistemi con poca memoria possono utilizzare il CD desktop per l'installazione selezionando dal menù di avvio la voce "Installa Ubuntu", in modo da eseguire solo il programma di installazione, invece che mandare in esecuzione l'intero ambiente grafico selezionando la voce "Prova Ubuntu senza modificare il computer".

Installazione

Pacchetti "recommended" installati in modo predefinito

In accordo con il "Debian Policy Manual" (che enuncia "il campo 'Recommends' dovrebbe elencare i pacchetti che dovrebbero essere presenti nel computer assieme al pacchetto corrente in tutte le installazioni tranne quelle non usuali"), il sistema di gestione dei pacchetti ora installa in modo predefinito i pacchetti elencati nel campo Recommends: così come avviene per i pacchetti nell'elenco Depends:.

Per evitare questo comportamento per un singolo pacchetto, usare il comando:

apt-get --no-install-recommends nome_pacchetto

Per evitare questo comportamento per tutti i pacchetti in modo permanente, inserire la riga:

APT::Install-Recommends "false"

nel file /etc/apt/apt.conf.

Notare che ciò potrebbe avere come conseguenza l'assenza di funzionalità in alcuni pacchetti.

"Selezionare e installare il software" lento a partire in modalità testuale

Il passo "Selezionare e installare il software" nella modalità testuale del CD di installazione, potrebbe apparire lento nell'aggiornare la percentuale di avanzamento. Questo problema si verifica specialmente durante le installazioni in modalità netboot, dove non c'è una barra di avanzamento durante la fase di scaricamento dei pacchetti. Il problema è dovuto ad una falla nell'interazione fra il programma di installazione e apt-get ed è stato diagnosticato troppo tardi per poter essere risolto in Ubuntu 8.10: bug 290234.

The "Select and install software" step in the text-mode install CD may appear to hang at a low single-digit percentage. This is particularly the case for netboot installations, where there will be no progress bar updates at all while downloading packages. This is due to a fault in the interaction between the installer and apt-get, which was diagnosed too late to fix for Ubuntu 8.10: bug 290234.

È possibile visualizzare l'avanzamento dell'installazione nella console di log utilizzando la combinazione di tasti «Alt+F4»; per tornare nella console precedente premere «Alt+F1». (Si faccia particolare attenzione nel caso si stia effettuando un'installazione virtualizzata tramite strumenti come QEMU o KVM, premere prima «Ctrl+Alt» o fare click nella finestra di virtualizzazione per evitare che la pressione dei tasti «Alt+F4» chiuda la finestra).

You can find out whether the installer is making progress by pressing Alt-F4 to switch to the logging console; Alt-F1 switches back to the main installer. (If you are installing in QEMU or KVM, be careful to press Ctrl+Alt or click in the window to have the emulator grab focus before pressing Alt-F4, as otherwise this will close the emulator!)

oem-config non gestisce bene alcune lingue

The OEM end-user configuration tool mishandles selection of languages that do not use the ASCII or ISO-8859-1 character sets, and the end user will end up with no localisation set after selecting such languages (bug 290580). The list of known-good languages is as follows: Basque, Catalan, Danish, Dutch, English, Finnish, French, Galician, German, Indonesian, Italian, Northern Sami, Norwegian Bokmål, Norwegian Nynorsk, Portuguese, Portuguese (Brazil), Spanish, Swedish, Tagalog.

For the meantime, OEMs affected by this problem may apply this patch (the scripts/tzsetup part) to the file /usr/lib/oem-config/timezone/tzsetup before running "Prepare for shipping to end user". We expect to release an update for this in due course, which will be installable via the normal packaging system at that same stage.

Hard disk non mostrati durante l'installazione con la Live CD

Se un utente naviga i propri hard disk in modalità Live CD prima di aver iniziato il processo di installazione, Ubiquity non permetterà l'installazione in questi dispositivi. E' di fatti necessario escluderli (smontarli) per permetterne il partizionamento. Assicurarsi di aver smontato il disco, sul quale si vuole installare Ubuntu, prima di procedere con l'installazione.

If a user browses a hard disks in Live CD mode before choosing to install, Ubiquity will not allow installation onto this disks. It is necessary to exclude these, as you cannot apply partitioning to any disk with busy (mounted) partitions. To use a mounted disk for installation, first unmount the drive before attempting to install.

Restrizione di password con ecryptfs

Gli utenti che hanno effettuato un installazione con alternate CD o hanno installato la versione Server di Ubuntu ed hanno scelto una password contenente i caratteri "%" o "-" non potranno utilizzare e montare la directory criptata ~/Private.

Per risolvere questo problema, gli utenti dovranno eseguire i seguenti passi:

  1. aggiornare ecryptfs-utils all'ultima versione 53-1ubuntu12 (sarà presto disponibile come aggiornamento ufficiale).

Users of the alternate/server installation who choose a password containing a "%" or a "-" will end up with an encrypted ~/Private directory that will not mount on reboot and subsequent logins. To fix this, affected users will need to do the following in the newly installed system:

  1. Update ecryptfs-utils to at least version 53-1ubuntu12 (non appena sarà disponibile come aggiornamento ufficiale)
  2. Digitare in un terminale il comando:
    ecryptfs-setup-private --force

Per ulteriori informazioni sul bug e sulla soluzione, consultare il bug #290445.

For more information on the bug and solution approach see bug #290445.

L'opzione "Free software only" installa software con restrizione

L'opzione "Free software only", disponibile premendo due volte «F6» sulla prima schermata del CD/DVD desktop, installerà il pacchetto con restrizioni linux-restricted-modules-2.6.27-7-generic. Sarà possibile risolvere il problema disistallando il pacchetto linux-restricted-modules-2.6.27-7-generic dopo il completamento dell'installazione.

The "Free software only" option, available by pressing F6 twice on the first screen of the desktop CD/DVD, will install the restricted package, linux-restricted-modules-2.6.27-7-generic. This can be worked around by removing the linux-restricted-modules-2.6.27-7-generic package after the installation completes.

Si avvisa che l'opzione "Free software only" non installerà nessun altro pacchetto con restrizioni.

Note that the "Free software only" option does not install any other restricted software.

Per maggiori informazioni, consultare il [[https://bugs.launchpad.net/ubuntu-release-notes/+bug/290925| bug 290925]].

For more information, please see Bug 290925

PlayStation 3 installation issues

There are some non-fatal issues with installation from the alternate install CD on PlayStation 3 systems. See the PS3 release notes for more details.

Avanzamento di versione

Gli utenti di Ubuntu 8.04 LTS posso eseguire l'avanzamento a Ubuntu 8.10 tramite un semplice processo automatico. Gli utenti di rilasci più vecchi dovranno prima effettuare l'avanzamento a Ubuntu 8.04 LTS e solo successivamente alla 8.10. Istruzioni complete possono essere trovate presso questa pagina

Supporto video nVidia "legacy"

Le serie 71 e 96 dei driver proprietari nVidia, forniti dai pacchetti nvidia-glx-legacy e nvidia-glx in Ubuntu 8.04 LTS, non sono compatibili con la versione di X.Org inclusa in Ubuntu 8.10. I possessori di schede video con chipset nVidia TNT, TNT2, TNT Ultra, GeForce, GeForce2, GeForce3, e GeForce4 subiranno gli effetti di tale incompatibilità e durante l'avanzamento verrà eseguita la transizione al driver libero nv. Tale driver però non supporta l'accelerazione 3D.

Per possessori di schede video con altri chipset nVidia che sono supportati dalle serie 173 e 177 del driver verrà eseguita la transizione ai pacchetti nvidia-glx-173 o nvidia-glx-177. Però, a differenza dei driver 96 e 71, i driver 173 e 177 sono compatibili solo con processori che supportano le istruzioni SSE (per esempio Intel Pentium III, AMD Athlon XP o superiori). Per sistemi con processori più vecchi verrà eseguita durante l'avanzamento la transizione al driver nv.

Driver "fglrx" per schede video ATI

Il driver ATI con restrizioni fglrx incluso in Ubuntu 8.10 non supportà più le schede video con chipset r300 (tutte le schede delle serie Radeon 9500 e X600). Se si possiede una di queste schede video utilizzare l'applicazione "Hardware driver" in Sistema -> Amministrazione per disabilitare il driver prima di effettuare l'aggiormanento.

Per maggiori informazioni, consultare il bug 284408.

The ATI video driver in 8.10 drops support for video cards with r300 based chips (the Radeon 9500 - X600 Series of cards). If you have such a card, please use "Hardware Drivers" at System/Administration to disable it before the upgrade. Please see bug 284408 for more information

Device di input in X.Org

Nel file di configurazione di X.Org (/etc/X11/xorg.conf) sono ancora presenti campi InputDevice per il mouse e la tastiera; tali campi sono però ignorati poiché ora viene utilizzato input-hotplug.

Le impostazioni della tastiera sono ora salvate nel file /etc/default/console-setup; per cambiarle usare il comando:

sudo dpkg-reconfigure console-setup

Dopo un cambiamento di tali impostazioni è necessario riavviare i demoni HAL e X.

Incompatibilità evdev xmodmap di X.Org

I keycode X generati con il nuovo driver di input evdev di X.Org 1.5 non sono compatibili con quelli generati in Ubuntu 8.04 LTS e precedenti. Se sono state configurate delle associazioni di tasti tramite un file ~/.Xmodmap, è necessario convertirle o disabilitarle durante l'avanzamento.

Supporto kernel real-time per UbuntuStudio

La variante real-time del kernel incluso in Ubuntu 8.10 non include il supporto SMP. Gli utenti di UbuntuStudio 8.04 che necessitano di un kernel real-time con supporto dual-core, dual-processor o con configurazioni SMP più complesse, sono invitati attualmente a non eseguire l'avanzamento a UbuntuStudio 8.10.

Supporto per gli hotkey su portatili Toshiba

Il driver tlsup incluso nel kernel Linux 2.6.27, per il supporto dei portatili Toshiba, non è compatibile con il modello degli eventi di X.Org 1.5, di conseguenza non sarà possibile utilizzare gli hotkey di questi portatili in Ubuntu 8.10. Il problema verrà risolto in un successivo rilascio e aggiornamento del kernel che reintrodurrà il driver toshiba_laptop.

The tlsup kernel driver included in Linux 2.6.27 for support for Toshiba laptops is not compatible with the X.Org 1.5 event model, as a result of which hotkeys on these laptops are not usable with Ubuntu 8.10. This will be addressed in a post-release kernel update to reintroduce the toshiba_acpi driver.

Problemi all'avvio con schede madri Intel D945

Alcuni utenti hanno riportaro un lento riconoscimento dei dispositivi SATA su schede madri Intel D945 in Ubuntu 8.10. Questo problema potrebbe portare, all'avvio, il sistema in una shell busybox initramfs con un errore "Gave up waiting for root device". Aspettare uno o due minuti e uscire dalla shell initramfs digitando il comando:

exit

L'avvio procederà normalmente. Se così non fosse, aspettare ancora (magari un po' più dell'ultima volta) e riprovare.

Una volta che il sistema si è avviato, modificare il file /boot/grub/menu.lst e aggiungere:

rootdelay=90

alle opzioni del proprio kernel. Per maggiori informazioni, consultare il bug 290153.

Users have reported slower than normal detection of SATA hard drives on systems with Intel D945 motherboards in Ubuntu 8.10. This may cause the system to drop to a busybox initramfs shell on boot with a "Gave up waiting for root device." error. Wait a minute or two and then exit the initramfs shell by typing 'exit'. Booting should proceed normally. If it doesn't, wait a bit longer and try again. Once the system boots, edit /boot/grub/menu.lst and add rootdelay=90 to the kernel stanza for your current kernel. (Bug 290153).

Kubuntu KDE4 remix

In alcuni casi se si effettua l'aggiornamento da Kubuntu 8.04 KDE 4 Remix a Kubuntu 8.10, non tutte le applicazioni potrebbero risultare aggiornate. Ciò accade se il pacchetto kubuntu-desktop è stato precedente rimosso. Assicurarsi che il pacchetto kubuntu-dekstop (se si possiede KDE 4, anche il pacchetto kubuntu-kde4-desktop) sia installato prima di procedere con l'aggiornamento.

Questo problema viene risolto automaticamente se si effettua l'aggiornamento tramite adept_manager.

In some cases an upgrade from Kubuntu 8.04 KDE 4 Remix to Kubuntu 8.10 will not update all applications. This will happen if the package kubuntu-desktop was removed. We strongly advise to ensure kubuntu-desktop, and if KDE 4 is installed also kubuntu-kde4-desktop, is installed before upgrading. If using the release upgrader, this will be handled automatically.

Impossibile effettuare il login dopo l'aggiornamento da Kubuntu 8.04 KDE 4 Remix

Dopo l'aggiornamento da Kubuntu 8.04 KDE 4 Remix, il login fallirà e ritornerà di nuovo alla schermata di login. Il collegamento x-session-manager non è stato correttamente aggiornato. Selezionare KDE dal menu Sessioni prima di effettuare il login. Risolvere il problema digitando da riga di comando:

update-alternatives --set x-session-manager /usr/bin/startkde

Per maggiori informazioni, consultare il bug 287488.

After an upgrade from Kubuntu 8.04 KDE 4 Remix, logging in will return directory to the login screen again. The x-session-manager alternative link is not correctly updated. Select "KDE" from the Session Menu before logging in and fix it with update-alternatives --set x-session-manager /usr/bin/startkde. (Bug 287488)

Supporto per ssl/blowfish-v0.2, versione 2:0:1 non in encfs

La compatibilità per questo vecchio algoritmo è stata omessa nelle versioni 1.4.x di encfs (versioni incluse in Ubuntu 8.10). Prima di effettuare l'aggiornamento, gli utenti con questo algoritmo dovranno manualamente migrare i propri volumi encfs alla nuova versione. Alternativamente, è possibile restare alla vecchia versione di encfs per effettuare la lettura dei volumi.

Compatibility for this old algorithm was dropped in the 1.4.x version of encfs included in Ubuntu 8.10. Before upgrading, users of this algorithm will have to manually migrate their encfs volumes to a new one created with the new version. Alternatively, you may stay at an old version of encfs to be able to read the volumes.

PlayStation 3 upgrade issues

The graphical boot splash must be turned off when upgrading PlayStation 3 systems from Ubuntu 8.04. See the PS3 release notes for more details.

Altri problemi noti

Blocchi del sistema con chip wireless Intel 4965

La versione del driver wireless iwlang per il chipset Intel 4965 incluso nel kernel Linux versione 2.6.27 causa una serie di kernel panic quando usato con reti di tipo 802.11n o 802.11g. Gli utenti affetti da questo problema possono installare il pacchetto linux-backports-modules-intrepid: il pacchetto fornisce una versione più recente del driver che corregge il bug (poiché la correzione nota richiede una nuova versione del driver, non è possibile includerla nel pacchetto principale del kernel).

Cannot reactivate Intel 3945/4965 wireless if booting with killswitch enabled

On laptops with Intel 3945 or Intel 4965 wireless chipsets and a killswitch for the wireless antenna, starting the system with the killswitch enabled (i.e., with wireless disabled) will prevent re-enabling the wireless by toggling the killswitch. As a workaround, users should boot the system with the killswitch disabled. A future kernel update is expected to address this issue.

Atheros ath5k wireless driver not enabled by default

The version of the ath5k driver for Atheros wireless devices included in Linux 2.6.27 interferes with the use of the madwifi driver for some wireless devices and as a result has been disabled by default. Many Atheros chipsets will work correctly with the madwifi driver, but some newer chipsets may not, and the madwifi driver may not work with WPA authentication. If you have an Atheros device that does not work with madwifi, you will want to install the linux-backports-modules-intrepid-generic package, which includes an updated version of the ath5k driver. While not installed by default, this linux-backports-modules-intrepid-generic package is included on the Ubuntu 8.10 CD and DVD images for ease of installation.

Limited support for Wacom tablet hotplugging

X.Org 1.5 includes support for autodetection of input devices, but for Wacom tablets this is currently limited to detecting the stylus only. Users of tablet devices who wish to use other input features will need to statically configure their input devices in /etc/X11/xorg.conf.

A complete discussion of this issue can be found in bug 282203.

Ordine di avvio iSCSI

I file system ospitati su dispositivi iSCSI potrebbero non venir montati automaticamente all'avvio del sistema, anche se per essi è presente una voce in /etc/fstab, nel caso in cui è richiesta un'interfaccia Ethernet "bridged" o "bonded" per raggiungere il dispositivo iSCSI. Per aggirare il problema, è necessario riavviare il servizio open-scsi e montare manualmente il file system in questione dopo l'avvio, una volta che l'interfaccia di rete richiesta è ormai attiva.

I sistemi dotati di una normale interfaccia Ethernet non sono affetti da questo problema.

Per maggiori informazioni, consultare il bug #227848.

Cannot mount more than one iSCSI target

Mounting multiple iSCSI targets at the same time is currently not supported. Systems configured to use more than one iSCSI targets should not be upgraded to Ubuntu 8.10.

For more information on the bug and solution approach see bug 289470.

Wireless doesn't work after suspend with ath_pci driver

Wireless devices that use the ath_pci kernel driver, such as the Atheros AR5212 wireless card, will be unable to connect to the network after using suspend and resume. To work around this issue, users can create a file /etc/pm/config.d/madwifi containing the single line:

   SUSPEND_MODULES=ath_pci

This will cause the module to be unloaded before suspend and reloaded on resume.

Systems installed from pre-release daily images may be missing some files

A bug present in pre-release daily desktop images caused some files related to language support to be missing from installed systems. Uninstalling and reinstalling the language support packages should correct this issue.

This issue does not affect users who installed using the Ubuntu 8.10 Beta or Release Candidate.

Kubuntu Bluetooth support

Bluetooth is not supported in Kubuntu 8.10 because KDE does not yet support the bluez 4.x stack required for compatibility with the kernel used in 8.10. A fix for this is being evaluated as a post-release update. (Bug 280997)

KNetworkManager cannot manage connections with static IPs

KNetworkManager in Kubuntu 8.10 sometimes fails with network connections that require static IP address configuration (bug 280762). Connections which use DHCP for IP address configuration are not affected by this problem.

Using usb-creator with 8.04.1 (Hardy) images

Persistence support in 8.04.1 images is broken. Creating a USB disk with usb-creator and a 8.04.1 image results in a busybox prompt if the persistence option is checked.

Only US wireless channels enabled by default on Intel 3945

The iwl3945 wireless driver defaults to the US regulatory domain for wireless, so wireless networks on channels forbidden by US regulations but permitted by European or Japanese regulations will not work out of the box. This affects IEEE 802.11b/g channels 12 (Europe and Japan), 13 (Europe and Japan), and 14 (Japan only), as well as all 802.11a channels. (Some other wireless drivers may be affected; this is the only one we are sure of so far.)

To work around this, add the following line to the /etc/modprobe.d/options file if you use this driver and need to use European wireless channels:

options cfg80211 ieee80211_regdom=EU

Alternatively, add the following line if you use this driver and need to use Japanese wireless channels:

options cfg80211 ieee80211_regdom=JP

Cyrus SASL database created with incorrect permissions

Cyrus SASL creates the database for its sasldb2 plugin with incorrect permissions. As a result, other users of this database, such as cyrus-imap, will not be able to access it and will fail. This does not affect upgrades of existing databases from a previous release. The workaround is to manually change the group of /etc/sasldb2 to sasl:

$ sudo chgrp sasl /etc/sasldb2

See bug 288478 for details.

Access to Java Runtime Environment

To use Java programs, you need to install the openjdk-6-jre package whch contains the Java Runtime Environment. If you want to develop Java programs, then install the openjdk-6-jdk package. To work with Java applets in the Firefox browser and compatible browsers on x86 architectures, you need to install the icedtea6-plugin package by hand.

The JRE and the Java applet plugin are installed by default in the live session on the Ubuntu DVD, but are not currently installed elsewhere due to space constraints. However, a missing feature in the installer means that these packages will not be installed when installing using the graphical installer on the DVD, so you will need to install them afterwards.

CD eject problems

After ejecting a CD tray containing a disc, the tray will be immediately retracted, making it difficult to remove the disc (bug 283316). This can be worked around by pressing the eject button again before the disc is fully mounted, after which it will stay open. We expect to fix this in a post-release update.

Desktop effects on Intel 830MG and 845G video cards

There is a bug in the Intel video driver for the older intel 830 and 845 integrated video cards that are used on laptops like the IBM R30. Desktop effects with compiz will not work on those chips and will freeze the system. For new installations, please install using the safe graphics mode (press F4 in the startup screen) on these systems and disable desktop effects via System -> Preferences -> Appearance, clicking on "Visual effects" and choosing "None".

Cyrus SASL database created with incorrect permissions

Cyrus SASL creates the database for its sasldb2 plugin with incorrect permissions. As a result, other users of this database, such as cyrus-imap, will not be able to access it and will fail. This does not affect upgrades of existing databases from a previous release. The workaround is to manually change the group of /etc/sasldb2 to sasl:

 $ sudo chgrp sasl /etc/sasldb2

PlayStation 3 issues

There are a variety of other known issues affecting PlayStation 3 systems, documented in more detail in the PS3 release notes. They include:

  • To get back to the Sony PlayStation 3 XMB operating system from the boot prompt, users need to type game and press the Return key (bug 277839). If this is for some reason not possible, carrying out a hard-reset (see PS3 instruction manual) will return to the XMB on next run.

  • Users may occasionally see an intermittent shutdown hang with a message like "IRQ 50: nobody cared". The problem has been reported upstream. Press and hold the PS3 power button until you hear 2 beeps will force power off. The system will boot normally on next run (bug 220370).

  • NetworkManager does not list available wireless networks, although it is possible to connect to a wireless network with a known SSID using the "connect to hidden wireless network" option (bug 289977); and it cannot connect to WPA/WPA2 wireless networks, although WEP works (bug 289982).

Riferimenti

IntrepidReleaseNotes/it (last edited 2008-11-23 11:29:48 by mail)